Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Обновление MySQL и клиент для PHP  (Прочитано 2270 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Stibin

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Обновление MySQL и клиент для PHP
« : 13 Марта 2016, 12:41:21 »
Здравствуйте.

Система - Ubuntu 14.04 LTS
Установил MySQL 5.7 (5.7.11-1ubuntu14.04) из пакета с оф. сайта mysql.
Потом установил Apache и PHP (5.5.9-1ubuntu4.14) из оф. репозитория Ubuntu.
Чтобы получить доступ из PHP к MySQL (mysqli_...()) установил php5-mysql.
Все работает, но обнаружил, что Phpmyadmin выдает предупреждение: "Версия клиентской библиотеки MySQL 5.5.47 отличается от версии установленного MySQL-сервера 5.7.11. Это может привести к некорректной работе."
Обнаружил, что в пакетах Ubuntu есть libmysqlclient20 (версия 5.7.11-1ubuntu14.04), а с php5-mysql установилась зависимость libmysqlclient18 (версия 5.5.47-0ubuntu0.14.04.1).
Попробовал установить libmysqlclient20, пакет установился, но в PHP все равно используется версия 5.5.47-0ubuntu0.14.04.1
Подскажите, как установить правильный клиент MySQL для PHP версии 5.7.11-1ubuntu14.04 или можно не заморачиваться и использовать клиент от MySQL 5.6?

ТС не появлялся на Форуме более полугода по состоянию на 13/07/2019 (последняя явка: 24/05/2016). Модератором раздела принято решение закрыть тему.
--zg_nico
« Последнее редактирование: 13 Июля 2019, 23:38:07 от zg_nico »

Оффлайн jura12

  • Старожил
  • *
  • Сообщений: 1438
  • 24.04 server
    • Просмотр профиля
Re: Обновление MySQL и клиент для PHP
« Ответ #1 : 13 Марта 2016, 12:58:48 »
читайте документацию по установке или лучше всего пользуйтесь тем что предлагают релизы дистрибутивов.
для u 1510, mysql 5.6.28, php 5.6.11
php плохо обновляется.
« Последнее редактирование: 13 Марта 2016, 13:02:38 от jura12 »
сопротивление бесполезно

Оффлайн Stibin

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: Обновление MySQL и клиент для PHP
« Ответ #2 : 13 Марта 2016, 13:50:52 »
Я понимаю, что проще пользоваться тем, что предлагает релиз, но мне нужен именно 14.04 (обязательно LTS) и MySQL 5.7 Вот я и пытаюсь понять, как совместить. Поэтому и обратился на этот форум.
« Последнее редактирование: 13 Марта 2016, 14:57:13 от Stibin »

 

Страница сгенерирована за 0.042 секунд. Запросов: 23.